<<O>>  Difference Topic TWikiPlugins (r1.29 - 14 Aug 2004 - PeterThoeny)

TWiki Plugins

Line: 143 to 143

Plugin Version Detection

Changed:
<
<
To eliminate the incompatibility problems bound to arise from active open Plugin development, a Plugin versioning system and an API GetVersion detection routine are provided for automatic compatibility checking.
>
>
To eliminate the incompatibility problems bound to arise from active open Plugin development, a Plugin versioning system is provided for automatic compatibility checking.

  • All modules require a $VERSION='0.000' variable, beginning at 1.000.

  • The initPlugin handler should check all dependencies and return TRUE if the initialization is OK or FALSE if something went wrong.
    • The Plugin initialization code does not register a Plugin that returns FALSE (or that has no initPlugin handler).
Changed:
<
<
>
>
  • $TWiki::Plugins::VERSION in the TWiki::Plugins module contains the TWiki Plugin API version, currently 1.025.
    • You can also use the %PLUGINVERSION{}% variable to query the Plugin API version or the version of installed Plugins.

Creating Plugins

Line: 306 to 307

}
Changed:
<
<
-- TWiki:Main/PeterThoeny - 18 May 2004
>
>
-- TWiki:Main/PeterThoeny - 14 Aug 2004

-- TWiki:Main/AndreaSterbini - 29 May 2001
-- TWiki:Main/MikeMannix - 03 Dec 2001
Revision r1.28 - 08 Aug 2004 - 00:48 - PeterThoeny
Revision r1.29 - 14 Aug 2004 - 04:58 - PeterThoeny